Loading...
Searching...
No Matches
utility.hh File Reference
`#include <memory>`
`#include <tuple>`
`#include <type_traits>`
`#include <utility>`
`#include <algorithm>`
`#include <dune/common/shared_ptr.hh>`
`#include <dune/common/indices.hh>`
`#include <dune/typetree/nodeinterface.hh>`
`#include <dune/typetree/nodetags.hh>`

Go to the source code of this file.

## Classes

struct | Dune::TypeTree::TreeInfo< Tree, Tag >
| Struct for obtaining some basic structural information about a TypeTree. More...

## Namespaces

namespace | Dune
namespace | Dune::TypeTree